* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
}

html,
body {
    width: 100%;
    height: 100%;
    background-color: #ffffff;
}

@font-face {
    font-family: ba2n;
    src: url(./fonts/ba2n.ttf);
}

@font-face {
    font-family: ba4n;
    src: url(./fonts/ba4n.ttf);
}

@font-face {
    font-family: bu6n;
    src: url(./fonts/bu4n.ttf);
}

.underline-hover {
    position: relative;
    text-decoration: none;
    color: inherit;
    cursor: pointer;
}

.underline-hover::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: -2px;
    width: 100%;
    height: 1.5px;
    background: currentColor;
    transform: scaleX(0);
    transform-origin: right;
    transition: transform 0.4s ease;
}

.underline-hover:hover::after {
    transform: scaleX(1);
    transform-origin: left;
}

.nav {
    width: 100vw;
    position: fixed;
    top: 0;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 2rem;
    font-family: ba2n;
    font-size: 1.2rem;
    font-weight: 800;
    letter-spacing: 1px;
    color: #1a1a1a;
}

.nav-links {
    display: flex;
    align-items: center;
    gap: 1rem;
}

.nav-links sup {
    font-size: 0.55em;
    vertical-align: super;
    margin-right: 0.2rem;
}

.hero {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    padding-top: 300px;
    font-family: ba4n;
}

.hero h1 {
    font-size: 20vw;
}

.hero h2 {
    font-family: bu6n;
    font-size: 6vw;
    font-weight: 400;
    line-height: 1;
    letter-spacing: -0.1rem;
}

.hero h2 span {
    font-family: ba2n;
    font-weight: 200;
}

.hero h2 sup {
    font-size: 0.4em;
    vertical-align: middle;
    margin-right: 0.2rem;
}

.hero h2 .img-loop {
    vertical-align: middle;
    height: 6vw;
    display: inline-block;
    object-fit: cover;
}

.hero h2 .img-loop img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.hero h2 .img-loop video {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.more {
    font-family: ba4n;
    display: block;
    width: fit-content;
    margin: 5rem auto;
    font-size: 1.4rem;
    color: #1a1a1a;
    display: flex;
    align-items: center;
    gap: 8px;
}

.more i {
    font-size: 0.8rem;
}

.footer {
    display: flex;
    justify-content: space-between;
    height: max-content;
    width: 100%;
    padding: 2rem;
    font-family: ba2n;
    font-size: 0.8rem;
    line-height: 1.1;
}

.footer .image {
    width: 300px;
    flex-shrink: 0;
}

.footer .image img {
    object-fit: cover;
    width: 100%;
    height: 100%;
}

.footer .right {
    display: flex;
    gap: 200px;
}

@media (max-width: 1080px) {
    .footer .right {
        gap: 100px;
    }
}

@media (max-width: 960px) {
    .footer .right {
        gap: 50px;
        font-size: 10px;
    }
}

@media (max-width: 880px) {
    .footer .right {
        gap: 20px;
    }

    .footer {
        font-size: 6px;
    }
}

.footer .right .recently,
.footer .right .contact {
    max-width: 300px;
}

.footer-mob {
    display: none;
}

.vool {
    color: #FF383C;
}

.aegus {
    color: #1B51C2;
}

.char-wrap {
    display: inline-block;
    overflow: hidden;
    vertical-align: bottom;
}

.char {
    display: inline-block;
}

@media (max-width:750px) {

    .nav .profile,
    .nav .about {
        display: none;
    }

    .nav-links {
        width: 100%;
        display: flex;
        justify-content: center;
    }

    .nav {
        font-size: 0.8rem;
    }

    .footer {
        display: none;
    }


    .hero h1 {
        font-size: 25vw;
    }

    .hero h2 {
        font-size: 10vw;
    }

    .more {
        font-size: 1rem;
    }

    .footer-mob {
        font-family: ba2n;
        display: flex;
        flex-direction: column;
        padding: 1rem;
    }

    .footer-mob .head {
        width: 100%;
        display: flex;
        justify-content: space-between;
        align-items: center;
        font-size: 0.8rem;
        font-weight: 600;
    }

    .footer-mob h2 {
        font-size: 0.8rem;
        width: 60%;
        font-family: ba2n;
        font-weight: 600;
        letter-spacing: 0.2px;
    }

    .img-connect {
        height: 200px;
        display: flex;
        align-items: flex-end;
        justify-content: space-between;
    }

    .img-connect .left h2 {
        font-size: 0.6rem;
    }

    .img-connect .right-img {
        width: 120px;
        height: 120px;
        background-color: red;
    }

    .img-connect .right-img img {
        object-fit: cover;
        height: 100%;
        width: 100%;
    }
}
